From 3ff4fe48a57c9c44dd7070579093a132685ba22c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 02 2020 04:46:49 +0000
Subject: [PATCH 1206/2232] Remove namespace from NamespaceEntries


---

diff --git a/gen/src/alphasort.rs b/gen/src/alphasort.rs
index 08ce4b4..7309aa9 100644
--- a/gen/src/alphasort.rs
+++ b/gen/src/alphasort.rs
@@ -1,11 +1,9 @@
-use crate::syntax::namespace::Namespace;
 use crate::syntax::Api;
 use proc_macro2::Ident;
 use std::collections::BTreeMap;
 use std::iter::FromIterator;
 
 pub struct NamespaceEntries<'a> {
-    pub namespace: Namespace,
     direct: Vec<&'a Api>,
     nested: BTreeMap<&'a Ident, NamespaceEntries<'a>>,
 }
@@ -47,17 +45,7 @@ fn sort_by_inner_namespace(apis: Vec<&Api>, depth: usize) -> NamespaceEntries {
         .map(|(k, apis)| (k, sort_by_inner_namespace(apis, depth + 1)))
         .collect();
 
-    let namespace = apis
-        .first()
-        .copied()
-        .and_then(Api::namespace)
-        .map_or(Namespace::ROOT, |ns| ns.iter().take(depth).collect());
-
-    NamespaceEntries {
-        namespace,
-        direct,
-        nested,
-    }
+    NamespaceEntries { direct, nested }
 }
 
 #[cfg(test)]

